Package: org.apache.groovy.contracts.util

## [Java] Class LifecycleImplementationLoader<S>

- org.apache.groovy.contracts.util.LifecycleImplementationLoader

- All Implemented Interfaces and Traits:
    Iterable

      public final class LifecycleImplementationLoader<S>
      extends Object
      implements Iterable

  Finds and loads implementation classes of interface Lifecycle.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasNext()`
    `` | `public Iterator<S>` | `iterator()`
    `<S>` | `public static LifecycleImplementationLoader<S>` | `load(Class<S> service, ClassLoader loader)` Creates a new Lifecycle for the given type and class loader.
    `` | `public S` | `next()`
    `` | `public void` | `reload()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Iterator<S> iterator()

    - #### <S> public static LifecycleImplementationLoader<S> load(Class<S> service, ClassLoader loader)

      Creates a new Lifecycle for the given type and class loader.

    - #### @Override
      public S next()

    - #### public void reload()

    - #### @Override
      public void remove()